OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKBin
BinMPrsStd

# BinMPrsStd_AISPresentationDriver Class Reference

AISPresentation Attribute Driver.
.

`#include <BinMPrsStd_AISPresentationDriver.hxx>`

Inheritance diagram for BinMPrsStd_AISPresentationDriver:

[legend]

## Public Member Functions
Standard_EXPORT | BinMPrsStd_AISPresentationDriver (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Creates a new attribute from TDF. .
Standard_EXPORT Standard_Boolean | Paste (const BinObjMgt_Persistent &Source, const Handle(TDF_Attribute)&Target, BinObjMgt_RRelocationTable &RelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Source, BinObjMgt_Persistent &Target, BinObjMgt_SRelocationTable &RelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT BinMPrsStd_AISPresentationDriver::BinMPrsStd_AISPresentationDriver | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT const BinMPrsStd_AISPresentationDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from BinMDF_ADriver.

Standard_EXPORT Handle_TDF_Attribute BinMPrsStd_AISPresentationDriver::NewEmpty | ( |  | ) | const`[virtual]`

| Implements BinMDF_ADriver.

Standard_EXPORT void BinMPrsStd_AISPresentationDriver::Paste | ( | const Handle(TDF_Attribute)& | Source,
|  | BinObjMgt_Persistent & | Target,
|  | BinObjMgt_SRelocationTable & | RelocTable
| ) | const`[virtual]`

| Implements BinMDF_ADriver.

Standard_EXPORT Standard_Boolean BinMPrsStd_AISPresentationDriver::Paste | ( | const BinObjMgt_Persistent & | Source,
|  | const Handle(TDF_Attribute)& | Target,
|  | BinObjMgt_RRelocationTable & | RelocTable
| ) | const`[virtual]`

| Implements BinMDF_ADriver.

The documentation for this class was generated from the following file:

- BinMPrsStd_AISPresentationDriver.hxx